import { PluginDeployerResolver, PluginDeployerResolverContext } from '../../common';
/**
 * Resolver that handle the github: protocol
 * github:<org>/<repo>/<filename>@latest
 * github:<org>/<repo>/<filename>@<version>
 */
export declare class GithubPluginDeployerResolver implements PluginDeployerResolver {
    private static PREFIX;
    private static GITHUB_ENDPOINT;
    private unpackedFolder;
    constructor();
    /**
     * Grab the remote file specified by Github URL
     */
    resolve(pluginResolverContext: PluginDeployerResolverContext): Promise<void>;
    protected grabGithubFile(pluginResolverContext: PluginDeployerResolverContext, orgName: string, repoName: string, filename: string, version: string, resolve: (value?: void | PromiseLike<void>) => void, reject: (reason?: any) => void): void;
    /**
     * Handle only the plugins that starts with github:
     */
    accept(pluginId: string): boolean;
}
//# sourceMappingURL=plugin-github-resolver.d.ts.map